﻿using System.Linq;

namespace EliteBGS;

public class OneLineDiscordLog : DiscordLogGenerator {
    protected override string GenerateObjectiveHeader(Objective objective) {
        if (!string.IsNullOrEmpty(objective.Faction)) {
            return string.Format("{0} for {1}: ", objective.System, objective.Faction);
        } else {
            return string.Format("{0}: ", objective.System);
        }
    }

    protected override string GenerateObjectiveFooter(Objective objective) {
        return "";
    }

    protected override string GenerateFooter() {
        return "";
    }

    protected override string GenerateHeader() {
        return "";
    }

    protected override string TransformFinalLogForObjective(Objective objective, string log) {
        string[] lines = log.Split("\n", System.StringSplitOptions.RemoveEmptyEntries);
        return string.Join(", ", lines);
    }

    public override string ToString() {
        return "One Line Report";
    }
}
